Bug 13984 - CardnumberLength missing in sysprefs.sql
Summary: CardnumberLength missing in sysprefs.sql
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10861
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-13 11:08 UTC by Fridolin SOMERS
Modified: 2015-12-03 22:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13984 - CardnumberLength missing in sysprefs.sql (1.46 KB, patch)
2015-04-13 11:11 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 13984 - CardnumberLength missing in sysprefs.sql (1.52 KB, patch)
2015-04-13 11:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13984: Add atomic update - Insert pref CardnumberLength if not exists (1.02 KB, patch)
2015-04-13 11:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 13984 - CardnumberLength missing in sysprefs.sql (1.61 KB, patch)
2015-04-17 10:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13984: Add atomic update - Insert pref CardnumberLength if not exists (1.09 KB, patch)
2015-04-17 10:50 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2015-04-13 11:08:32 UTC
CardnumberLength added by Bug 10861 is missing in sysprefs.sql
Comment 1 Fridolin SOMERS 2015-04-13 11:11:46 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-04-13 11:31:01 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-04-13 11:31:06 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-04-17 10:50:52 UTC
Created attachment 38029 [details] [review]
[PASSED QA] Bug 13984 - CardnumberLength missing in sysprefs.sql

Test plan :
- create a fresh database with installer
- check the presence of the syspref : select value from systempreferences where variable like 'CardnumberLength'

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Kyle M Hall 2015-04-17 10:50:58 UTC
Created attachment 38030 [details] [review]
[PASSED QA] Bug 13984: Add atomic update - Insert pref CardnumberLength if not exists

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Tomás Cohen Arazi 2015-04-29 18:45:04 UTC
Patches pushed to master.

Thanks Frido and Jonathan!
Comment 7 Chris Cormack 2015-05-17 04:33:18 UTC
Pushed to 3.18.x will be in 3.18.7